// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdEIdProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdEIdProductPlugin", targets: ["WebIdEIdProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-device-document-scanner-spm",
            .exact("12.5.0")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .exact("12.5.0")
        ),
        .package(
            name: "WebIdEIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-eident-plugin-spm",
            .exact("5.5.0")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .exact("11.4.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdEIdProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdEIdProductPlugin/13.4.1/WebIdEIdProductPlugin.framework-v13.4.1-SNAPSHOT-1276.zip",
            checksum: "09e983ce810e2b526c84514110b58814a2d52732e60c0a00230c002364706599"
        ),
        .target(
            name: "WebIdEIdProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdEIdProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdEIdentPlugin", package: "WebIdEIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
